### Signal

# RB RemovableMediaManager::create-source-mount

#### Declaration

    RBSource*
    create_source_mount (
      RBRemovableMediaManager* self,
      GMount* device_info,
      MPIDDevice* mount,
      gpointer user_data
    )

#### Description [src]

Emitted when a new mount is added to allow plugins to create a corresponding `RBSource`. The first signal handler that returns a source wins. If a source was created for the `GVolume` for a mount, then this signal will not be emitted.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`device_info`

  Type: `GMount`

  A `MPIDDevice` containing information on the device.

  The data is owned by the caller of the function.

`mount`

  Type: `MPIDDevice`

  The `GMount`.

  The data is owned by the caller of the function.

#### Return value

Type: `RBSource`

A source for the mount, or NULL.

The caller of the function takes ownership of the data, and is responsible for freeing it.